<div class="container-md mt-5">
  <div class="card mb-4">
     <div class="row g-0">
        <div class="row col-md-3">
           <img [src]="'assets/images/doctor-thumb-0'+selectedDocId+'.jpg'" class="img-fluid rounded-circle m-2"  alt="...">
        </div>
        <div class="col-md-6">
           <div class="card-body" *ngIf="selectedDoctor.length > 0">
              <h4>{{selectedDoctor[0].fname}} {{selectedDoctor[0].lname}}</h4>
              <p><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-mortarboard" viewBox="0 0 16 16">
                <path d="M8.211 2.047a.5.5 0 0 0-.422 0l-7.5 3.5a.5.5 0 0 0 .025.917l7.5 3a.5.5 0 0 0 .372 0L14 7.14V13a1 1 0 0 0-1 1v2h3v-2a1 1 0 0 0-1-1V6.739l.686-.275a.5.5 0 0 0 .025-.917l-7.5-3.5ZM8 8.46 1.758 5.965 8 3.052l6.242 2.913L8 8.46Z"/>
                <path d="M4.176 9.032a.5.5 0 0 0-.656.327l-.5 1.7a.5.5 0 0 0 .294.605l4.5 1.8a.5.5 0 0 0 .372 0l4.5-1.8a.5.5 0 0 0 .294-.605l-.5-1.7a.5.5 0 0 0-.656-.327L8 10.466 4.176 9.032Zm-.068 1.873.22-.748 3.496 1.311a.5.5 0 0 0 .352 0l3.496-1.311.22.748L8 12.46l-3.892-1.556Z"/>
              </svg> {{selectedDoctor[0].qualification}}</p>
              <h5 class="card-title">{{selectedDoctor[0].speciality}}</h5>
              <p class="card-text">{{selectedDoctor[0].about}}</p>
              <p class="card-text">
                 <star-rating [value]="selectedDoctor[0].ratings" [totalstars]="5" checkedcolor="red" uncheckedcolor="black" size="24px"
                 [readonly]="true"></star-rating>
              </p>
           </div>
        </div>
        <div class="col-md-2" style="margin-left: auto;">
           <div class="card-body" *ngIf="selectedDoctor.length > 0">
            <ul class="clini-infos-list" style="list-style: none; padding-left: 0;">
              <li><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-briefcase" viewBox="0 0 16 16">
                <path d="M6.5 1A1.5 1.5 0 0 0 5 2.5V3H1.5A1.5 1.5 0 0 0 0 4.5v8A1.5 1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0 1.5-1.5v-8A1.5 1.5 0 0 0 14.5 3H11v-.5A1.5 1.5 0 0 0 9.5 1h-3zm0 1h3a.5.5 0 0 1 .5.5V3H6v-.5a.5.5 0 0 1 .5-.5zm1.886 6.914L15 7.151V12.5a.5.5 0 0 1-.5.5h-13a.5.5 0 0 1-.5-.5V7.15l6.614 1.764a1.5 1.5 0 0 0 .772 0zM1.5 4h13a.5.5 0 0 1 .5.5v1.616L8.129 7.948a.5.5 0 0 1-.258 0L1 6.116V4.5a.5.5 0 0 1 .5-.5z"/>
              </svg> {{selectedDoctor[0].experience}}</li>
              <li><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-geo-alt-fill" viewBox="0 0 16 16">
                <path d="M8 16s6-5.686 6-10A6 6 0 0 0 2 6c0 4.314 6 10 6 10zm0-7a3 3 0 1 1 0-6 3 3 0 0 1 0 6z"/>
              </svg> {{selectedDoctor[0].location}}</li>
              <li><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-currency-rupee" viewBox="0 0 16 16">
                <path d="M4 3.06h2.726c1.22 0 2.12.575 2.325 1.724H4v1.051h5.051C8.855 7.001 8 7.558 6.788 7.558H4v1.317L8.437 14h2.11L6.095 8.884h.855c2.316-.018 3.465-1.476 3.688-3.049H12V4.784h-1.345c-.08-.778-.357-1.335-.793-1.732H12V2H4v1.06Z"/>
              </svg>{{selectedDoctor[0].fees}}</li>
            </ul>
           </div>
        </div>
     </div>
  </div>
  <div>
     <tabset>
        <tab heading="Appointment">
           <div class="row mt-2">
              <h4>All Slots</h4>
              <div class="col-4">
                 <div class="first-section">
                    <ul style="list-style: none;">
                       <li *ngFor="let appointment of appointments">
                          <svg *ngIf="appointment.status === 'booked'; else available" xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="red" class="bi bi-x-circle" viewBox="0 0 16 16">
                             <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                             <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                          </svg>
                          <ng-template #available>
                             <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="green" class="bi bi-check-circle" viewBox="0 0 16 16">
                                <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                                <path d="M10.97 4.97a.235.235 0 0 0-.02.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-1.071-1.05z"/>
                             </svg>
                          </ng-template>
                          Date: {{appointment.date}} - {{appointment.start_time}} - {{appointment.end_time}}
                       </li>
                    </ul>
                 </div>
              </div>
              <div class="col-6">
                 <form #form="ngForm" (ngSubmit)="onSubmit(template)">
                 <div class="row">
                    <div class="col-6">
                       <label>Select a date:
                       <select name="date" [(ngModel)]="selectedDate" class="apt-dropdown" (change)="selectDate($event)">
                       <option *ngFor="let date of appointmentDates" [ngValue]="date">{{date}}</option>
                       </select>
                       </label>
                    </div>
                    <div class="col-6">
                       <label>Select a slot:
                       <select name="slot" [(ngModel)]="selectedSlot" class="apt-dropdown">
                       <option *ngFor="let appointment of selectedTimeSlots" [ngValue]="appointment">{{appointment.start_time}} - {{appointment.end_time}}</option>
                       </select>
                       </label>
                    </div>
                 </div>
                 <div class="row">
                    <div class="col-4">
                       <button type="submit" class="btn btn-primary  mt-2" >Book Appointment</button>
                    </div>
                 </div>
                 </form>
              </div>
           </div>
        </tab>
        <tab heading="Reviews">
           <div class = "row g-0">
              <div class="row col-md-6">
                 <div class="wrapper bg-white">
                    <div class="h6 font-weight-bold">
                       Add Review
                    </div>
                    <form class="pt-2" (ngSubmit)="postReviewsById()">
                       <div class="form-group">

                          <input type="text" [(ngModel)]="name" name="name" class="form-control" placeholder="Name" required>
                          <div class="label" id="name"></div>
                       </div>

                    <div>
                       <label for="exampleFormControlInput1" class="form-label">Ratings</label>
                       <div>
                        <p class="card-text">
                          <star-rating [value]="5" (rate)="onRate($event)" name="rating" [totalstars]="5" checkedcolor="red" uncheckedcolor="black" size="24px"
                          [readonly]="false"></star-rating>
                       </p>
                       </div>
                    </div>
                    <textarea name="des" [(ngModel)]="review" id="desc" cols="50" rows="5" placeholder="Description"></textarea>
                    <div class="d-flex justify-content-end pt-2">
                       <div class="btn btn-cancel mx-2">Cancel</div>
                       <button class="btn btn-primary" type="submit">Submit</button>
                    </div>
                  </form>
                 </div>
              </div>
              <div class = "row col md-6" >
                 <div class="testimonial-box-container">
                    <div class="testimonial-box" *ngFor = "let card of reviews">
                       <div class="box-top">
                             <div class="name-user">
                                <strong>{{card.name}}</strong>
                             </div>
                          <p class="card-text">
                            <star-rating [value]="card.rating" [totalstars]="5" checkedcolor="red" uncheckedcolor="black" size="24px"
                            [readonly]="true"></star-rating>
                         </p>
                       </div>
                       <div class="client-comment">
                          <p>{{card.review}}</p>
                        </div>
                    </div>
                 </div>
              </div>
           </div>
        </tab>
     </tabset>
  </div>
</div>
<ng-template #template>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Book Appointment</h4>
    <button type="button" class="btn-close close pull-right" aria-label="Close" (click)="modalRef?.hide()">
      <span aria-hidden="true" class="visually-hidden">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class = "container">
      <form [formGroup]="appointmentBookForm" (ngSubmit)="onBookAppointment()">
        <div class="row g-3">
          <div class="col">
            <label for="exampleFormControlInput1" class="form-label">First Name</label>
            <input type="text" class="form-control" formControlName="p_fname" placeholder="First name" aria-label="First name">
          </div>
          <div class="col">
            <label for="exampleFormControlInput1" class="form-label">Last Name</label>
            <input type="text" class="form-control" formControlName="p_lname" placeholder="Last name" aria-label="Last name">
          </div>
          <div>
            <label for="exampleFormControlInput1" class="form-label">Gender</label><br>
              <div class="form-check form-check-inline">
                <input class="form-check-input" formControlName="gender" type="radio" name="gender" id="inlineRadio1" value="Male">
                <label class="form-check-label"  for="inlineRadio1">Male</label>
              </div>
              <div class="form-check form-check-inline">
                <input class="form-check-input" formControlName="gender" type="radio" name="gender" id="inlineRadio2" value="Female">
                <label class="form-check-label"  for="inlineRadio2" >Female</label>
              </div>
          </div>
          <div class = "row g-2">
            <div class = "col-md-6">
              <label for="exampleFormControlInput1" class="form-label">Contact Number</label>
              <input type="text" class="form-control" formControlName="contact" placeholder="Enter Your Phone Number"onkeypress= "return event.charCode >= 48 && event.charCode <= 57" required>
            </div>
            <div class= "col-md-6">
              <label for="exampleFormControlInput1" class="form-label">Disease Name</label>
              <input type="text" class="form-control" formControlName="disease_name" placeholder="Enter Disease Name" aria-label="Last name">
            </div>
          </div>
          <div class = "row g-2">
            <div class="col">
              <label for="exampleFormControlInput1" class="form-label">Symptom1</label>
              <input type="text" class="form-control" formControlName="symptom1" placeholder="Enter Symptom" aria-label="Last name">
            </div>
            <div class="col">
              <label for="exampleFormControlInput1" class="form-label">Symptom2</label>
              <input type="text" class="form-control" formControlName="symptom2" placeholder="Enter Symptom" aria-label="Last name">
            </div>
          </div>
          <div>
            <div>
               <label for="exampleFormControlInput1" class="form-label">Upload Previous Receipt</label>
            </div>
            <div class="input-group mb-3">
              <input type="file"  (change)="onChange($event)"   formControlName="prescription" class="form-control" id="inputGroupFile02">
              <label class="input-group-text"  for="inputGroupFile02">Upload</label>
            </div>
          </div>

        </div>
        <div class="d-grid gap-2 d-md-flex justify-content-md-center">
          <input class="btn btn-primary" type="submit" value="Submit" [disabled]="appointmentBookForm.invalid">
          <input class="btn btn-danger" type="reset" value="Reset">
        </div>
      </form>
    </div>
  </div>
</ng-template>
